Apps
List an app's custom domains and the DNS records each one needs
GET /v1/apps/{appId}/domains · SDK listAppDomains · CLI deployments app-domain list
GET
Requires apps:read; admits human and service-account callers.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
appId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListAppDomainsResponse
application/json- response
items*array<>nextCursor?|null|nullcurl -X GET "https://example.com/v1/apps/string/domains" \ -H "x-deployments-environment: string"{ "items": [ { "appId": "string", "attachedBy": { "id": "string", "principal": "human" }, "createdAt": "2019-08-24T14:15:22Z", "dnsRecords": [ { "name": "string", "note": "string", "type": "CNAME", "value": "string" } ], "hostname": "string", "id": "string", "state": { "kind": "unverified" }, "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}